<script lang="ts">
  export let state: GameState;

  $: isTwoPlayer = state.players.length === 2;
</script>

<section class="panel border shadow">
  <p>
    There are <strong>8</strong> cards of each of the <strong>8</strong>
    different suits, for a total of <strong>64</strong> cards.
  </p>

  {#if isTwoPlayer}
    <p><em>For the two player game, 10 random cards have been removed.</em></p>
  {/if}

  <h3>Goal</h3>
  <p>
    The goal is to avoid collecting sets of cards, and avoid running out of
    cards in your hand.
  </p>
  <p>
    The first player to collect
    <strong>
      {#if isTwoPlayer}five{:else}four{/if} of a kind</strong
    >, or be the starting player with an empty hand, loses.
    <em> Everyone else wins! </em>
  </p>

  <h3>Game play</h3>

  <p>
    The starting player states a suit, and then passes a card from their hand to
    another player.
  </p>

  <p>The receiving player has two options.</p>

  <dl>
    <dt>Pass the card</dt>
    <dd>
      <p>
        Peek at the card, then pass the card to another player who has not yet
        looked at it.
      </p>
    </dd>

    <div class="divider">~ or ~</div>

    <dt>Guess</dt>
    <dd>
      <p>Take a guess whether the card giver is telling the truth.</p>
      <p>
        If they guess correctly, the card giver must collect the card. If they
        guess incorrectly, they must collect the card themselves.
      </p>
    </dd>
  </dl>

  <p>Whoever has to collect a card starts the next round.</p>
  <p>
    <strong> Play continues until a loser is determined. </strong>
  </p>
</section>

<style>
  h3 {
    font-weight: 500;
  }

  p {
    margin-top: 0;
  }
  strong {
    font-weight: 500;
  }

  dt {
    font-weight: 500;
  }
  dd {
    margin: 0;
  }

  .divider {
    margin: 0.5em 0;
    text-align: center;
    font-weight: 500;
  }

  section {
    height: 100%;
    font-size: 85%;
    background-color: linen;
    box-sizing: border-box;
    overflow-y: auto;
  }

  p:last-child {
    margin-bottom: 0;
  }
</style>
